# Uses of Interface
jdk.jfr.FlightRecorderListener

Packages that use FlightRecorderListener
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.

## Uses of FlightRecorderListener in jdk.jfr

Methods in jdk.jfr with parameters of type FlightRecorderListener
Modifier and Type
Method
Description
`static void`
FlightRecorder.`addListener(FlightRecorderListener changeListener)`
Adds a recorder listener.
`static boolean`
FlightRecorder.`removeListener(FlightRecorderListener changeListener)`
Removes a recorder listener.